RSpec.shared_context 'stubbed calls to connector in env validators', stubbed_env_validators: true do
  before do
    allow(Provider::ProviderFactory).to receive(:providers).and_return(%w(ec2 openstack))
    allow_any_instance_of(env_class).to receive_message_chain('provider_instance.flavors').and_return [{'id' => 'flavor'}]
    allow_any_instance_of(Validators::Helpers::Users).to receive(:available_users).and_return(['root'])
    # allow_any_instance_of(Validators::DeployEnv::Flavor).to receive(:available_flavors).and_return([{'id' => 'flavor'}])
    # allow_any_instance_of(Validators::FieldValidator::Flavor).to receive(:available_flavors).and_return([{'id' => 'flavor'}])
    allow_any_instance_of(Validators::DeployEnv::Groups).to receive(:available_groups).and_return(['default'])
    allow_any_instance_of(Validators::DeployEnv::Image).to receive(:available_images).and_return([{'id' => 'image'}])
    allow_any_instance_of(Validators::DeployEnv::Image).to receive(:available_images).and_return([{'id' => 'image'}])
    allow_any_instance_of(Validators::DeployEnv::StackTemplate).to receive(:available_stack_templates).and_return([{'id' => 'template'}])
    allow_any_instance_of(Validators::FieldValidator::Image).to receive(:available_images).and_return([{'id' => 'image'}])
  end
end